| AAX SDK 2.6.1 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions
AAX_IPrivateDataAccess Class Referenceabstract
AAX SDK Manual » Additional AAX features » Direct data access interface

`#include <AAX_IPrivateDataAccess.h>`

Inheritance diagram for AAX_IPrivateDataAccess:
[legend]

## Description

Interface to data access provided by host to plug-in.

:Implemented by the AAX Host:

WARNING: AAX_IPrivateDataAccess objects are not reference counted and are not guaranteed to exist beyond the scope of the method(s) they are passed into.

See also
  AAX_IACFEffectDirectData::TimerWakeup

## Public Member Functions
virtual | ~AAX_IPrivateDataAccess ()
virtual AAX_Result | ReadPortDirect (AAX_CFieldIndex inFieldIndex, const uint32_t inOffset, const uint32_t inSize, void *outBuffer)=0
| Read data directly from DSP at the given port.
virtual AAX_Result | WritePortDirect (AAX_CFieldIndex inFieldIndex, const uint32_t inOffset, const uint32_t inSize, const void *inBuffer)=0
| Write data directly to DSP at the given port.

## Constructor & Destructor Documentation

## ◆ ~AAX_IPrivateDataAccess()

virtual AAX_IPrivateDataAccess::~AAX_IPrivateDataAccess | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ ReadPortDirect()

virtual AAX_Result AAX_IPrivateDataAccess::ReadPortDirect | ( | AAX_CFieldIndex | inFieldIndex,
|  | const uint32_t | inOffset,
|  | const uint32_t | inSize,
|  | void * | outBuffer
| ) |  |
| pure virtual

Read data directly from DSP at the given port.

Note
  Blocking

Parameters

  [in] | inFieldIndex | The port to read from.
  [in] | inOffset | Offset into data to start reading.
  [in] | inSize | Amount of data to read (in bytes).
  [out] | outBuffer | Pointer to storage for data to be read into.

Implemented in AAX_VPrivateDataAccess.

## ◆ WritePortDirect()

virtual AAX_Result AAX_IPrivateDataAccess::WritePortDirect | ( | AAX_CFieldIndex | inFieldIndex,
|  | const uint32_t | inOffset,
|  | const uint32_t | inSize,
|  | const void * | inBuffer
| ) |  |
| pure virtual

Write data directly to DSP at the given port.

Note
  Blocking

Parameters

  [in] | inFieldIndex | The port to write to.
  [in] | inOffset | Offset into data to begin writing.
  [in] | inSize | Amount of data to write (in bytes).
  [in] | inBuffer | Pointer to data being written.

Implemented in AAX_VPrivateDataAccess.

The documentation for this class was generated from the following file:

- AAX_IPrivateDataAccess.h